@echo off
REM Verify if PETALS_HOME is well defined
if not exist "%PETALS_HOME%\bin\startup1.bat" goto nokHome

REM Verify if JAVA_HOME is well defined
if not exist "%JAVA_HOME%\bin\java.exe" goto nokJava


set CLASSPATH=%PETALS_HOME%/conf/container1

set CLASSPATH=%CLASSPATH%;%PETALS_HOME%/lib/jbi.jar

set CLASSPATH=%CLASSPATH%;%PETALS_HOME%/lib/petals-commons.jar

set CLASSPATH=%CLASSPATH%;%PETALS_HOME%/lib/petals-core.jar


set CLASSPATH=%CLASSPATH%;%PETALS_HOME%/lib/petals-ebmSystemServicesImpl.jar

set CLASSPATH=%CLASSPATH%;%PETALS_HOME%/lib/serviceSamples.jar


set CLASSPATH=%CLASSPATH%;%PETALS_HOME%/lib/jms.jar
set CLASSPATH=%CLASSPATH%;%PETALS_HOME%/lib/activation.jar


set CLASSPATH=%CLASSPATH%;%PETALS_HOME%/lib/joram-client.jar
set CLASSPATH=%CLASSPATH%;%PETALS_HOME%/lib/jakarta-regexp-1.2.jar
set CLASSPATH=%CLASSPATH%;%PETALS_HOME%/lib/JCup.jar
set CLASSPATH=%CLASSPATH%;%PETALS_HOME%/lib/joram-mom.jar
set CLASSPATH=%CLASSPATH%;%PETALS_HOME%/lib/joram-shared.jar
set CLASSPATH=%CLASSPATH%;%PETALS_HOME%/lib/ow_monolog.jar

set CLASSPATH=%CLASSPATH%;%PETALS_HOME%/lib/jax-1_1-fr-qname-class.jar

set CLASSPATH=%CLASSPATH%;%PETALS_HOME%/lib/jmxri.jar
set CLASSPATH=%CLASSPATH%;%PETALS_HOME%/lib/jmxremote.jar



%JAVA_HOME%/bin/java org.objectweb.petals.Main 
goto end



:nokHome
echo The PETALS_HOME environment variable is not defined correctly
echo This environment variable is needed to run this program
goto end

:nokJava
echo The JAVA_HOME environment variable is not defined correctly
echo This environment variable is needed to run this program
goto end

:end
